
%define oname sylpheed-claws2
%define origname sylpheed-claws

Summary:	This package contains additional plugins for %{oname}
Name:		%{oname}-plugins
Version:	2.0.0
Release:	%mkrel 0.rc4.1
Group:		Networking/Mail
License:	GPL
URL:		http://sylpheed-claws.sourceforge.net/downloads/
Source:		%{origname}-plugins-%{version}-rc4-20060115.tar.bz2 
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{oname}-devel >= %{version} 
BuildRequires:	synce-devel
BuildRequires:	libetpan0.42-devel >= 0.42
BuildRequires:	perl-devel
BuildRequires:	automake1.9
Requires:	%{oname} >= %{version}

%description
This package contains additional plugins for %{oname}:
%{oname}-acpi-plugin,
%{oname}-att_remover-plugin,
%{oname}-cachesaver-plugin,
%{oname}-etpan-privacy-plugin,
%{oname}-fetchinfo-plugin,
%{oname}-maildir-plugin,
%{oname}-mailmbox-plugin,
%{oname}-newmail-plugin,
%{oname}-perl-plugin,
%{oname}-rssyl-plugin,
%{oname}-synce-plugin,
%{oname}-vcalendar-plugin.


%package -n %{oname}-acpi-plugin
Summary:	This plugin for %{oname} enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-acpi-plugin
This plugin for %{oname} enables mail notification via LEDs on some laptops.

%package -n %{oname}-att_remover-plugin
Summary:	This plugin for %{oname} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-att_remover-plugin
This plugin for %{oname} enables the removal of attachments.

%package -n %{oname}-cachesaver-plugin
Summary:	This plugin for %{oname} saves the caches every minute
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-cachesaver-plugin
This plugin for %{oname} saves the caches every minute. It helps
in avoiding the loss of metadata on crashes. 

%package -n %{oname}-etpan-privacy-plugin
Summary:	This plugin handles verification and decryption of encrypted messages
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-etpan-privacy-plugin
This plugin handles signature verification and decryption of encrypted
messages in S/MIME, OpenPGP, and ascii-armored PGP formats.

%package -n %{oname}-fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-fetchinfo-plugin
This plugin for %{oname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{oname}-maildir-plugin
Summary:	This plugin provides direct access to maildir folders
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-maildir-plugin
This plugin for %{oname} provides direct access to maildir folders.

%package -n %{oname}-mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-mailmbox-plugin
This plugin for %{oname} provides direct access to mbox folders

%package -n %{oname}-newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-newmail-plugin
This plugin for %{oname} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package -n %{oname}-perl-plugin
Summary:	Perl interface to %{oname}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-perl-plugin
This plugin is intended to extend the filtering possibilities
of %{oname}. It provides a Perl interface to %{oname}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package -n %{oname}-rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{oname}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package -n %{oname}-synce-plugin
Summary:	This plugin assists in syncing the addressbook
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-synce-plugin
This plugin assists in keeping the addressbook of a Windows CE
device (Pocket PC/ iPAQ, Smartphone etc) in sync with %{oname}s'
addressbook, with respect to email addresses.

%package -n %{oname}-vcalendar-plugin
Summary:	This plugin for %{oname} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{oname} >= %{version}

%description -n %{oname}-vcalendar-plugin
This %{oname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.


%prep 
%setup -q -c -n %{origname}-%{version}

%build
rm -rf CVS/ pgpinline/
for i in `find ./* -maxdepth 0  -type d`
	do
	cd $i
	./autogen.sh
	%configure2_5x
	%make
	cd -
done
 
%install
rm -rf $RPM_BUILD_ROOT

for i in `find ./* -maxdepth 0  -type d`
	do
	cd $i
	%makeinstall_std
	cd -
done

# remove devel files from plugins
rm -rf ${RPM_BUILD_ROOT}/%{_libdir}/%{origname}/plugins/*.*a
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/ical.h

# remove locale files for now
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/locale

# fix permissions
chmod 644 vcalendar*/AUTHORS

%clean
rm -rf %{buildroot} 


%files -n %{oname}-acpi-plugin
%defattr(-,root,root)
%doc acpi*/AUTHORS
%{_libdir}/%{origname}/plugins/acpi*

%files -n %{oname}-att_remover-plugin
%defattr(-,root,root)
%doc att_remover*/AUTHORS
%doc att_remover*/ChangeLog
%{_libdir}/%{origname}/plugins/att_remover*

%files -n %{oname}-cachesaver-plugin
%defattr(-,root,root) 
%doc cachesaver*/AUTHORS
%{_libdir}/%{origname}/plugins/cachesaver*

%files -n %{oname}-etpan-privacy-plugin
%defattr(-,root,root)
%doc etpan-privacy*/AUTHORS
%doc etpan-privacy*/ChangeLog
%doc etpan-privacy*/README
%{_libdir}/%{origname}/plugins/etpan*

%files -n %{oname}-fetchinfo-plugin
%defattr(-,root,root)
%doc fetchinfo*/ChangeLog
%doc fetchinfo*/README
%{_libdir}/%{origname}/plugins/fetchinfo*

%files -n %{oname}-maildir-plugin
%defattr(-,root,root)
%doc maildir*/AUTHORS
%doc maildir*/ChangeLog
%doc maildir*/README
%{_libdir}/%{origname}/plugins/maildir*

%files -n %{oname}-mailmbox-plugin
%defattr(-,root,root)
%doc mailmbox*/AUTHORS
%doc mailmbox*/ChangeLog
%doc mailmbox*/README
%{_libdir}/%{origname}/plugins/mailmbox*

%files -n %{oname}-newmail-plugin
%defattr(-,root,root)
%doc newmail*/AUTHORS
%doc newmail*/ChangeLog
%doc newmail*/README
%{_libdir}/%{origname}/plugins/newmail*

%files -n %{oname}-perl-plugin
%defattr(-,root,root)
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/NEWS
%doc perl*/sc_perl.pod
%{_libdir}/%{origname}/plugins/perl*

%files -n %{oname}-rssyl-plugin
%doc rssyl*/AUTHORS
%doc rssyl*/ChangeLog
%doc rssyl*/TODO
%{_libdir}/%{origname}/plugins/rssyl*

%files -n %{oname}-synce-plugin
%defattr(-,root,root)
%doc synce*/AUTHORS
%doc synce*/ChangeLog
%doc synce*/README
%{_libdir}/%{origname}/plugins/synce*

%files -n %{oname}-vcalendar-plugin
%defattr(-,root,root)
%doc vcalendar*/AUTHORS
%doc vcalendar*/ChangeLog
%{_libdir}/%{origname}/plugins/vcalendar*


%changelog
* Fri Jan 27 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-0.rc4.1mdk
- cvs packaging of plugins at time of 2.0.0-rc4 release which
  is 20060115
- add att_remover, newmail and rssyl plugins
- fix descriptions to use %%{oname} instead of %%{name}
- update filelist
- remove locale files for now
- buildrequires libetpan >= 0.42
- upload into 2006 Community

* Sun Dec 04 2005 Marcel Pol <mpol@mandriva.org> 1.9.100-1mdk
- 1.9.100

* Fri Nov 04 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-4mdk
- update to real 1.9.99 release
- drop P1,2,3
- add acpi plugin

* Fri Oct 21 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-3mdk
- fix obsolete and provide sylpheed-claws-maildir-plugin

* Fri Oct 21 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-2mdk
- obsolete and provide sylpheed-claws-perl_plugin-plugin

* Thu Oct 20 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-1mdk
- obsolete and provide sylpheed-claws-perl_plugin-plugin

* Thu Oct 20 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-1mdk
- update external version to 1.9.99
  and build against sylpheed-claws-1.9.99-rc2
- merge changes from sylpheed-claws2-plugins
- update perl plugin to 0.4
- update vcalendar plugin to 1.7
- P1, 2, 3: update maildir, mailmbox and vcalendar from cvs for new API
- provide and obsolete claws2-plugins for upgrade from mdk 2006

* Mon Sep 05 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-3mdk
- (build)requires >= version of sylpheed-claws2

* Wed Aug 31 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-2mdk
- buildrequires synce-devel libetpan-devel perl-devel

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-1mdk
- initial Mandriva package

 
